package com.qmth.qrzk.repository.service.query;

import java.util.ArrayList;
import java.util.List;

import com.qmth.qrzk.repository.user.model.Course;

public class LearnCenterQueryParams extends QueryParams {
	private String categoryCode;
	private String courseCode;
	private List<Course> courses = new ArrayList<Course>();
	private Boolean isDomesticConsumer; //是否为普通用户，普通用户只能查看公开的与相关课程的内容
	private Integer userId;
	
	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Boolean getIsDomesticConsumer() {
		return isDomesticConsumer;
	}

	public void setIsDomesticConsumer(Boolean isDomesticConsumer) {
		this.isDomesticConsumer = isDomesticConsumer;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public List<Course> getCourses() {
		return courses;
	}

	public void setCourses(List<Course> courses) {
		this.courses = courses;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	
}
